Bug 1277953 - [abrt] gnome-calendar: icalarray_free(): gnome-calendar killed by SIGABRT
[abrt] gnome-calendar: icalarray_free(): gnome-calendar killed by SIGABRT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9419a606f142c444e5d7b323eb6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 07:16 EST by Nicolas Laplante
Modified: 2017-06-21 20:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 04:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.98 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: core_backtrace (54.82 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: dso_list (17.91 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: environ (858 bytes, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: maps (86.60 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: open_fds (967 bytes, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-04 07:16 EST, Nicolas Laplante
no flags Details

  None (edit)
Description Nicolas Laplante 2015-11-04 07:16:07 EST
Version-Release number of selected component:
gnome-calendar-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icalarray_free
executable:     /usr/bin/gnome-calendar
global_pid:     5215
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 icalarray_free at /usr/src/debug/libical-1.0.1/src/libical/icalarray.c:116
 #7 icaltimezone_expand_changes at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:522
 #8 icaltimezone_ensure_coverage at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:489
 #9 icaltimezone_get_utc_offset at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:852
 #10 icaltimezone_convert_time at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:807
 #11 icaltime_as_timet_with_zone at /usr/src/debug/libical-1.0.1/src/libical/icaltime.c:323
 #12 e_cal_recur_generate_instances_of_rule at e-cal-recur.c:716
 #13 e_cal_recur_generate_instances at e-cal-recur.c:640
 #14 generate_instances at e-cal-client.c:2670
 #15 e_cal_client_generate_instances_for_object_sync at e-cal-client.c:3327

Potential duplicate: bug 1220317
Comment 1 Nicolas Laplante 2015-11-04 07:16:12 EST
Created attachment 1089603 [details]
File: backtrace
Comment 2 Nicolas Laplante 2015-11-04 07:16:13 EST
Created attachment 1089604 [details]
File: cgroup
Comment 3 Nicolas Laplante 2015-11-04 07:16:15 EST
Created attachment 1089605 [details]
File: core_backtrace
Comment 4 Nicolas Laplante 2015-11-04 07:16:16 EST
Created attachment 1089606 [details]
File: dso_list
Comment 5 Nicolas Laplante 2015-11-04 07:16:17 EST
Created attachment 1089607 [details]
File: environ
Comment 6 Nicolas Laplante 2015-11-04 07:16:18 EST
Created attachment 1089608 [details]
File: limits
Comment 7 Nicolas Laplante 2015-11-04 07:16:19 EST
Created attachment 1089609 [details]
File: maps
Comment 8 Nicolas Laplante 2015-11-04 07:16:21 EST
Created attachment 1089610 [details]
File: mountinfo
Comment 9 Nicolas Laplante 2015-11-04 07:16:22 EST
Created attachment 1089611 [details]
File: open_fds
Comment 10 Nicolas Laplante 2015-11-04 07:16:23 EST
Created attachment 1089612 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2016-09-14 04:06:06 EDT
I hope this has been resolved already, if not - please reopen bug.
Comment 12 Christian Stadelmann 2017-06-21 20:14:15 EDT
Not resolved, see bug #1463150 for a newer report.

Note You need to log in before you can comment on or make changes to this bug.